Skip to content
Ona Docs

GetSCMIntegration

POST/gitpod.v1.RunnerConfigurationService/GetSCMIntegration

Gets details about a specific SCM integration.

Use this method to:

  • View integration settings
  • Check integration status
  • Verify configuration

Examples

  • Get integration details:

    Retrieves information about a specific integration.

    id: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
Body ParametersJSONExpand Collapse
id: optional string
formatuuid
ReturnsExpand Collapse
integration: optional ScmIntegration { id, host, oauth, 4 more }
id: optional string

id is the unique identifier of the SCM integration

host: optional string
oauth: optional ScmIntegrationOAuthConfig { clientId, encryptedClientSecret, issuerUrl }
clientId: optional string

client_id is the OAuth app’s client ID in clear text.

encryptedClientSecret: optional string

encrypted_client_secret is the OAuth app’s secret encrypted with the runner’s public key.

formatbyte
issuerUrl: optional string

issuer_url is used to override the authentication provider URL, if it doesn’t match the SCM host.

+optional if not set, this account is owned by the installation.

pat: optional boolean
runnerId: optional string
scmId: optional string

scm_id references the scm_id in the runner’s configuration schema that this integration is for

virtualDirectory: optional string

virtual_directory is the virtual directory path for Azure DevOps Server (e.g., “/tfs”). This field is only used for Azure DevOps Server SCM integrations and should be empty for other SCM types. Azure DevOps Server APIs work without collection when PAT scope is ‘All accessible organizations’.

GetSCMIntegration

curl https://app.gitpod.io/api/gitpod.v1.RunnerConfigurationService/GetSCMIntegration \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "integration": {
    "id": "id",
    "host": "host",
    "oauth": {
      "clientId": "clientId",
      "encryptedClientSecret": "U3RhaW5sZXNzIHJvY2tz",
      "issuerUrl": "issuerUrl"
    },
    "pat": true,
    "runnerId": "runnerId",
    "scmId": "scmId",
    "virtualDirectory": "virtualDirectory"
  }
}
Returns Examples
{
  "integration": {
    "id": "id",
    "host": "host",
    "oauth": {
      "clientId": "clientId",
      "encryptedClientSecret": "U3RhaW5sZXNzIHJvY2tz",
      "issuerUrl": "issuerUrl"
    },
    "pat": true,
    "runnerId": "runnerId",
    "scmId": "scmId",
    "virtualDirectory": "virtualDirectory"
  }
}